{% extends "core/page.html" %}
{% load i18n crispy_forms_tags gdaps %}

{% block page_title %}
  {% if tenant %}
    {{ tenant.last_name | upper }}, {{ tenant.first_name }}
  {% else %}
    {% translate 'Add new tenant' %}
  {% endif %}
{% endblock %}

{% block content %}

  <div class="card mb-2">
    {% if tenant %}
      <div class="card-header card-header-light">
        <div>
          <div class="row align-items-center">
            <div class="col-auto">
              <span class="avatar" style="background-image: url({{ tenant.picture }})"></span>
            </div>
            <div class="col">
              <div class="card-title">{{ tenant }}</div>
              <div class="card-subtitle text-black-50">{{ tenant.uuid }}</div>
            </div>
          </div>
        </div>

        <div class="card-actions btn-actions menu-tenant-detail">
          {#  <div class="dropdown"> #}
          {#    <a href="#" class="btn-action dropdown-toggle" data-bs-toggle="dropdown" #}
          {#        aria-haspopup="true" aria-expanded="false"> #}
          {#        <i class="bi bi-three-dots-vertical"></i> #}
          {#    </a> #}
          {#    <div class="dropdown-menu dropdown-menu-end"> #}
          {#      <a class="dropdown-item" href="#">Edit user</a> #}
          {#      <a class="dropdown-item" href="#">Change permissions</a> #}
          {#      <a class="dropdown-item text-danger" href="#">Delete user</a> #}
          {#    </div> #}
          {#  </div> #}
          {% for item in menus.tenant_detail_actions %}
            <a href='{{ item.url }}' type='button' class="btn btn-action">
              <i class="bi bi-{{ item.icon }}"></i>
            </a>
          {% endfor %}
        </div>
      </div>
    {% endif %}

    <div class="card-body">
      <div class='row'>
        <div class='col'>
          <form action="." method="post">
            {% csrf_token %}
            {% crispy form %}
          </form>
        </div>
      </div>
    </div>
  </div>

  {% if tenant %}
    <!-- Tenant users -->
    <div class="card mb-3">
      <div class="card-header">
        <h3 class="card-title">{% translate 'Users' %}</h3>
      </div>
      <div class="card-body">
        <table class="table table-vcenter card-table">
          <thead>
          <tr>
            <th>{% translate 'Username' %}</th>
            <th>{% translate 'Name' %}</th>
            <th>{% translate 'Actions' %}</th>
          </tr>
          </thead>
          <tbody>
          {% for tenant_user in tenant.user_set.all %}
            <tr>
              <td><a href="{% url 'user:update' tenant_user.pk %}">{{ tenant_user.username }}</a></td>
              <td class="text-muted">
                {{ tenant_user }}
              </td>
              <td>
                <a class="btn btn-danger btn-sm{% if tenant_user.pk == 1 %} disabled{% endif %} "
                   href="{% url 'user:delete' pk=tenant_user.pk %}">
                  <i class="bi bi-x-lg"></i>
                </a>
              </td>
            </tr>
          {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  {% endif %}

  {% if tenant %}
    {% render_plugins ITenantDetailAddon %}
  {% endif %}
{% endblock %}